Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf
Interface RtfBasicElement

All Known Subinterfaces:
  RtfExtendedElement

All Known Implementing Classes:
  RtfAddableElement, RtfAnchor, RtfAnnotation, RtfBorder, RtfBorderGroup, RtfCell, RtfChapter, RtfChunk, RtfCodePage, RtfColor, RtfColorList, RtfDirectContent, RtfDocument, RtfDocumentHeader, RtfElement, RtfField, RtfFont, RtfFontList, RtfHeaderFooter, RtfHeaderFooterGroup, RtfImage, RtfInfoElement, RtfInfoGroup, RtfList, RtfListItem, RtfListTable, RtfNewPage, RtfPageNumber, RtfPageSetting, RtfParagraph, RtfParagraphStyle, RtfPhrase, RtfRow, RtfSection, RtfShape, RtfShapePosition, RtfShapeProperty, RtfStylesheetList, RtfTab, RtfTabGroup, RtfTable, RtfTableOfContents, RtfTOCEntry, RtfTotalPageNumber

    public interface RtfBasicElement

The RtfBasicElement interface defines the interface for elements that can be added to the RtfWriter.

Version:
  $Id: RtfBasicElement.java 2996 2007-11-20 22:40:36Z hallm $
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at), Thomas Bickel (tmb99@inode.at)

Field Summary
`static byte[]` | `CLOSE_GROUP` Constant for the end of an rtf group
`static byte[]` | `COMMA_DELIMITER` Constant for a comma delimiter in rtf
`static byte[]` | `DELIMITER` Constant for a delimiter in rtf
`static byte[]` | `OPEN_GROUP` Constant for the beginning of a rtf group
`static double` | `TWIPS_FACTOR` The factor to use for translating from iText to rtf measurments

Method Summary
`void` | `setInHeader(boolean inHeader)` Sets whether this RtfBasicElement is in a header
`void` | `setInTable(boolean inTable)` Sets whether this RtfBasicElement is in a table
`void` | `setRtfDocument(RtfDocument doc)` Sets the RtfDocument this RtfElement belongs to
`byte[]` | `write()` Deprecated. As of iText 2.0.6 or earlier, replaced by `writeContent(OutputStream)`, scheduled for removal at or after 2.1.0
`void` | `writeContent(OutputStream out)` Writes the element content to the given output stream.

Field Detail

### OPEN_GROUP

    static final byte[] OPEN_GROUP

  Constant for the beginning of a rtf group

### CLOSE_GROUP

    static final byte[] CLOSE_GROUP

  Constant for the end of an rtf group

### DELIMITER

    static final byte[] DELIMITER

  Constant for a delimiter in rtf

### COMMA_DELIMITER

    static final byte[] COMMA_DELIMITER

  Constant for a comma delimiter in rtf

### TWIPS_FACTOR

    static final double TWIPS_FACTOR

  The factor to use for translating from iText to rtf measurments

  See Also:
    Constant Field Values

Method Detail

### write

    byte[] write()

  Deprecated. As of iText 2.0.6 or earlier, replaced by `writeContent(OutputStream)`, scheduled for removal at or after 2.1.0

  Return the content of the Element in a byte array

  Returns:
    The byte array containing the data

### writeContent

    void writeContent(OutputStream out)
                      throws IOException

  Writes the element content to the given output stream. This method replaces the `write()` method which is now deprecated.

  Parameters:
    `out` -
  Throws:
    `IOException`

### setRtfDocument

    void setRtfDocument(RtfDocument doc)

  Sets the RtfDocument this RtfElement belongs to

  Parameters:
    `doc` - The RtfDocument to use

### setInTable

    void setInTable(boolean inTable)

  Sets whether this RtfBasicElement is in a table

  Parameters:
    `inTable` - Whether this RtfBasicElement is in a table

### setInHeader

    void setInHeader(boolean inHeader)

  Sets whether this RtfBasicElement is in a header

  Parameters:
    `inHeader` - Whether this RtfBasicElement is in a header

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD